Package org.eclipse.microprofile.config.tck

## Class ConverterTest.InjectingBean

- java.lang.Object
- - org.eclipse.microprofile.config.tck.ConverterTest.InjectingBean

Enclosing class:
  ConverterTest

    @Dependent
    public static class ConverterTest.InjectingBean
    extends Object

### Constructor Summary

Constructors
`InjectingBean()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Duck` `getNamedDuck()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### InjectingBean

    public InjectingBean()

### Method Detail

#### getNamedDuck

    public Duck getNamedDuck()